Skip to main content
GET
/
assistants
/
v1
/
numbers
List Numbers
curl --request GET \
  --url https://api-prod.interactly.ai/assistants/v1/numbers \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "a12f9c88-c155-461f-9771-4d240cdc9a04",
    "teamId": "1f7b1b1b1b1b1b1b1b1b1b1b",
    "number": "+1234567890",
    "provider": {
      "name": "twilio"
    },
    "assistantId": "a12f9c88-c155-461f-9771-4d240cdc9a04",
    "inboundEnabled": true,
    "outboundEnabled": true,
    "label": "friendly-name-1"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

label
string

Filter numbers by label

Response

Successfully retrieved the list of numbers.

_id
string<objectId>
required

Unique identifier of the number

Example:

"a12f9c88-c155-461f-9771-4d240cdc9a04"

teamId
string<objectId>
required

This is unique identifier of the team.

Example:

"1f7b1b1b1b1b1b1b1b1b1b1b"

number
string
required

Phone number associated with the team

Example:

"+1234567890"

provider
object
required
assistantId
string

ID of the associated assistant (if any)

Example:

"a12f9c88-c155-461f-9771-4d240cdc9a04"

inboundEnabled
boolean

If true, inbound call is enabled. If false, inbound call is disabled.

Example:

true

outboundEnabled
boolean

If true, outbound call is enabled. If false, outbound call is disabled.

Example:

true

label
string

Label for the number

Example:

"friendly-name-1"